إعـــــــلان

تقليص
لا يوجد إعلان حتى الآن.

تعريفات العتاد

تقليص
X
 
  • تصفية - فلترة
  • الوقت
  • عرض
إلغاء تحديد الكل
مشاركات جديدة

  • [سؤال] تعريفات العتاد

    السلام عليكم

    تحية إلى شباب مجتمع لينوكس

    سؤالي اليوم عن تعريفات الهاردوير لجهازي اللابتوب

    كما ذكرت سابقا فالجهاز جاء بتوزيعة سوزي 11 كنظام افتراضي

    وموقع الشركة المصنعة توفر تعريفات العتاد على موقعها وهي موجهة للنواة 2.6.32

    والسؤال:

    1- هل يمكن تنصيب التعريفات على نواة بإصدار مختلف أدنى/أعلى؟

    2- أيهما أفضل تنصيب تعريف كرت الشاشة الذي توفره الشركة الصانعة لللابتوب أم الذي توفره الشركة الصانعة للكرت؟

    3- عند محاولة تنصيب التعريفات على الجهاز(توزيعة أوبن سوزي/النواة نفسها) أتلقى الرسالة التالية التي تطلب مكتبات معينة
    فمن أين آتي بهذه المكتبات
    كود PHP:
    [LEFT]Probook:/home/ahmad/Desktop/configs/ati # rpm -i ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586.rpm
    errorFailed dependencies:
          
    x11-video-fglrxG02-HP 8.778 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:mm_slab) = 884143f7bb3b29d8 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_kernel_pci-dma) = 18f3a6981b885355 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:vmlinux) = 8556a89d270afd07 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_acpi_acpi) = dcfc4948b8a3784d is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_semaphore) = c7a91f1e83a87245 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_acpi_acpica_acpi) = 5f1dc75b51b76d9d is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_cred) = e51be686b5608bdf is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_char_sysrq) = 3095effabe71b430 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_kernel_acpi_boot) = d5557e0387b76d16 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_wait) = e8f53b6be41ec496 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_pci_access) = e3c01ee5da860b7b is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_char_agp_agpgart) = b8d7dac9fe36f951 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_pci_pci) = e1f235945f672640 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_mm_ioremap) = b24fb469fed14c09 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_mm_numa_32) = 9ef7c88ebfabb599 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:mm_vmalloc) = 00333fc478fb491c is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:fs_proc_proc) = f10e43fa097582b3 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_kernel_cpu_mtrr_main) = 26332824d47d19a4 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_freezer) = d5eabe004495daf0 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:lib_kernel_lock) = 33d46f710a4cfe1b is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:mm_mmap) = 952f8c05e4ec9fbe is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_spinlock) = c587e1beb0442cf5 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_params) = 7a2a1002ec0a9ea5 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_sched) = cd502055ee9cb337 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:mm_page_alloc) = 19378ac62ac91e4f is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_printk) = 00d8bd08f3a3d5be is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_rwsem) = ee607b7f03367958 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_signal) = d6ba4771bd5e37d8 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_pci_msi) = 38af3a9e6efaeb48 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_char_vt) = 7e446b394c663515 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:fs_char_dev) = 7643f5a0f32bebcc is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_pci_search) = 6c3be8c8a064386e is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_smp) = 40477101ad48c38a is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_kernel_setup_percpu) = 17d1f6c8d23285f9 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_kernel_setup) = 0d7b73d5efacc61f is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_mm_pageattr) = f770895c2125b50b is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_kernel_dumpstack) = 5ef8ca5e1af7a7b7 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:mm_highmem) = f48bc6443314c6bf is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_cpu) = b8f238ad57f79074 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_char_random) = bf28b0770e45055d is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_time) = bce22ae6bc382d05 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_capability) = 21ae5dc41a677bfa is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_mm_highmem_32) = ca35d819de7781a6 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_irq_manage) = 6bee263615b7d85a is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:drivers_pci_pci-driver) = 4f3d6d9acf106062 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:mm_memory) = 9941affe5f6ca853 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:mm_mempolicy) = 2d4aa8973083e641 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_module) = e4b3c22771c796a9 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_kthread) = 3d9f6dbb1283d5ee is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:fs_fcntl) = 5c0d0de0bb371b8c is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_softirq) = 8dd3868852cd9aff is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_kernel_cpu_common) = a5219bad46e9ed44 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:lib_hweight) = 164fda3d6013e0fe is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_timer) = 5941964e823d8cb1 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:arch_x86_kernel_tsc) = bb573884e9c8a42a is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:mm_swap) = bbd208c56f3d3bf9 is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
          kernel
    (pae:kernel_panic) = 244b172e2d8fbf2e is needed by ati-fglrxG02-HP-kmp-pae-8.778_2.6.32.12_0.7-2.i586
    [/LEFT
    ودمتم بخير

  • #2
    استخدم الأمر
    yum localinstall
    بدل
    rpm -i
    عبدالرحيم الفاخوري -- abdilra7eem
    IRC: Fakhouri
    فلسطين
    مترجم ومبرمج ويب وفني شبكات وخوادم يحب البطاريق

    كتاب الإدارة المتقدمة لجنو/لينكس:
    https://librebooks.org/gnu-linux-adv...dministration/

    تعليق


    • #3
      الله يسعدك يا عبدالرحيم الرجل يقول أنه يستعمل أوبن سوزي وأنت تقول له yum ركز يا عم
      ----------------
      أخي الكريم صاحب السؤال جرب التالي لتثبيت الحزمة:

      1- اجعل المجلد الذي يحتوي على الحزم الموجودة عندك مخزنا بالأمر التالي
      كود:
      zypper ar /path-to-rpm's local
      حيث zypper هو مدير الحزم النصي
      ar تعني أضف مستودعا add repository
      /path-to-rpm's ضع مكانها المسار الكامل للمجلد الذي يحتوي على حزم ال RPM
      local هو اسم المخزن الذي تريده لا مانع من تغييره إلى أي اسم تحب على أن لا يكون مستعملا في مخزن آخر
      2- ثبت الحزمة التي تريد بالأمر التالي
      كود:
      zypper in Package-name
      { رَبَّنَا وَآَتِنَا مَا وَعَدْتَنَا عَلَى رُسُلِكَ وَلَا تُخْزِنَا يَوْمَ الْقِيَامَةِ إِنَّكَ لَا تُخْلِفُ الْمِيعَادَ }
      تريد مساعدة عاجلة اضغط هـنــــــا

      تعليق

      يعمل...
      X